Subject: Re: [bitcoin-dev] A Modified Version of Luke-jr's Block Size BIP

From: "t. khan" <[email-masked]>
Date: Mon, 6 Feb 2017 15:25:13 -0500

On Mon, Feb 6, 2017 at 2:53 PM, Luke Dashjr <[email-masked]> wrote:

> On Monday, February 06, 2017 6:19:43 PM you wrote:
> > >My BIP draft didn't make progress because the community opposes any
> block
> > >size increase hardfork ever.
> >
> > Luke, how do you know the community opposes that? Specifically, how did
> you
> > come to this conclusion?
>
> http://www.strawpoll.me/12228388/r

That poll shows 63% of votes want a larger than 1 MB block by this summer.
How do you go from that to "the community opposes any block increase ever"?
It shows the exact opposite of that.

> > >Your version doesn't address the current block size
> > >issues (ie, the blocks being too large).
> >
> > Why do you think blocks are "too large"? Please cite some evidence. I've
> > asked this before and you ignored it, but an answer would be helpful to
> the
> > discussion.
>
> Full node count is far below the safe minimum of 85% of economic activity.
>

Is this causing a problem now? If so, what?

> Typically reasons given for people not using full nodes themselves come
> down
> to the high resource requirements caused by the block size.

The reason people stop running nodes is because there's no incentive to
counteract the resource costs. Attempting to solve this by making blocks
*smaller* is like curing a disease by killing the patient. (Incentivizing
full node operation would fix that problem.)

- t.k.